#ifndef __enc_modes__
#define __enc_modes__

#include "common.h"

void process_block(uint8_t in[16], uint8_t out[16], const Key_t* const key, bool encrypt);
Result_t aes_whole_blocks( CryptoAttribs_t* attribs, const Key_t* const key );

Result_t cbc_encrypt( CryptoAttribs_t* attribs, const Key_t* const key );
Result_t cbc_decrypt( CryptoAttribs_t* attribs, const Key_t* const key );

Result_t ecb_encrypt( CryptoAttribs_t* attribs, const Key_t* const key );
Result_t ecb_decrypt( CryptoAttribs_t* attribs, const Key_t* const key );

#endif /* __enc_modes__ */