#include "sol/set1.h"
#include "sol/set2.h"
#include "sol/set3.h"
#include "tst/utils.h"

#include <openssl/conf.h>
#include <openssl/evp.h>
#include <openssl/err.h>
#include <string.h>

int main()
{

    ERR_load_crypto_strings();
    OpenSSL_add_all_algorithms();

    UTILS::run();

    SET3::run();

    SET1::run();
    SET2::run();

    /* Clean up */
    EVP_cleanup();
    ERR_free_strings();

    return 0;
}