#include <string.h>
#include <assert.h>
#include <stdint.h>

void xor_repeatedly(
            const unsigned char* const i_xor,      const unsigned i_xor_len,
            const unsigned char* const i_string,   const unsigned i_string_len,
            uint8_t* o_xored, size_t o_len)
{
	unsigned counter = 0;
    assert(i_string_len <= o_len);

	while( counter < i_string_len )
	{
		unsigned xor_idx = counter % i_xor_len;
		o_xored[counter] = (i_string[counter]) ^ (i_xor[xor_idx]);
		counter++;
	}
}

