#ifndef __set2_runner__
#define __set2_runner__

#include "src/common.h"

void cbc_enc_dec_test();
void ecb_encrypt_decrypt_single_block();
void encode_decode_openssl();
void encrypt_padding_pkcs7();

void set2_challange9();
void set2_challange10();
void set2_challange11();
void set2_challange12_not_finished();

struct OpenSSL
{
    static Result_t Cbc(CryptoAttribs_t* i_attribs,
                        const Key_t* const i_key);
};

struct SET2
{
    static void run()
    {
        ecb_encrypt_decrypt_single_block();
        encode_decode_openssl();
        cbc_enc_dec_test();
        encrypt_padding_pkcs7();

        set2_challange9();
        set2_challange10();
        set2_challange11();
        set2_challange12_not_finished();
    }
};


#endif// __set2_runner__
