#ifndef __pkcs7_h__
#define __pkcs7_h__

#include <stdlib.h>
#include <stdint.h>

bool pkcs7_pad( const uint8_t* i_buff,
                size_t i_len,
                uint8_t** o_buff,
                size_t i_obuff_len );

bool pkcs7_unpad(   const uint8_t* i_padded_buf,
                    size_t i_len,
                    uint8_t** o_unpad_buf,
                    size_t* unpad_len);

#endif // __pkcs7_h__
